OpenShot crashing when saving project, then using the timeline or controls to set playback position

Bug #1246976 reported by Michael Hurt on 2013-11-01
40
This bug affects 6 people
Affects Status Importance Assigned to Milestone
OpenShot Video Editor
Undecided
Unassigned

Bug Description

CPU: AMD 64bit 8 core cpu
OS: Ubuntu Linux (64bit) Raring ringtail upgraded online from 12.04LTS; 12.04LTS installed from ISO.

Installed OpenShot from "Ubuntu Software Center"
version 1.4.4~alpha1

Melt: 0.8.8
FFMPEG: 0.8.6-6:0.8.6-1ubuntu2 insstalled using "Ubuntu Software Center"

-----

What's odd is I think this is both an OS level and higher library bug(s). Occassionally the entire OS will hang with the mouse cursor will still work, but the graphics seem to be frozen. Getting loads of segmentation faults from OpenShot when...
Saving the project, then going to the timeline or video controls to set the current playback position, or advance back to the beginning - pretty much any change in the videos position = instant crash. If I reload the same project after saving it, without changing the current playback position, I have no such problem until I save and immediately try to change the timelines position (seems to be something with that entire process). Oddly enough, I could postone the "crash" by saving, adding a new track, then setting the playback position where-ever I wanted. Worked for awhile, but then crashed after every save again.

On the OS side, i've noticed on a slower single core system (1.8 processor), if I click an control or option anywhere in OpenShot (or anything for that matter, ie.,. audacity) and don't allow the previous function to complete... the applications hang. It's like a messaging sync problem with the underlying libraries (doesn't wait for the current function to conplete before attempting the next one).

Also, the first video I made with OpenShot a month ago, didn't exibit these problems. It seems to have started within the past 3 weeks (perhaps during the upgrade, or with an underlying library not quite in sync with the layers above).

Download full text (5.3 KiB)

Interresting report about the alpha but I mark it like duplicate. Like
this we could'nt loose it. Thanks to test our future version.
Hum a question. there are 3 weelks ago, does it was with the 1.4.4 or
1.4.3. If it was with the 1.4.4, do you have upgraded a software linked to
OS ? (MLT, FFmeg,)

2013/11/1 Michael Hurt <email address hidden>

> Public bug reported:
>
> CPU: AMD 64bit 8 core cpu
> OS: Ubuntu Linux (64bit) Raring ringtail upgraded online from 12.04LTS;
> 12.04LTS installed from ISO.
>
> Installed OpenShot from "Ubuntu Software Center"
> version 1.4.4~alpha1
>
> Melt: 0.8.8
> FFMPEG: 0.8.6-6:0.8.6-1ubuntu2 insstalled using "Ubuntu Software Center"
>
> -----
>
> What's odd is I think this is both an OS level and higher library bug(s).
> Occassionally the entire OS will hang with the mouse cursor will still
> work, but the graphics seem to be frozen. Getting loads of segmentation
> faults from OpenShot when...
> Saving the project, then going to the timeline or video controls to set
> the current playback position, or advance back to the beginning - pretty
> much any change in the videos position = instant crash. If I reload the
> same project after saving it, without changing the current playback
> position, I have no such problem until I save and immediately try to change
> the timelines position (seems to be something with that entire process).
> Oddly enough, I could postone the "crash" by saving, adding a new track,
> then setting the playback position where-ever I wanted. Worked for awhile,
> but then crashed after every save again.
>
> On the OS side, i've noticed on a slower single core system (1.8
> processor), if I click an control or option anywhere in OpenShot (or
> anything for that matter, ie.,. audacity) and don't allow the previous
> function to complete... the applications hang. It's like a messaging
> sync problem with the underlying libraries (doesn't wait for the current
> function to conplete before attempting the next one).
>
> Also, the first video I made with OpenShot a month ago, didn't exibit
> these problems. It seems to have started within the past 3 weeks
> (perhaps during the upgrade, or with an underlying library not quite in
> sync with the layers above).
>
> ** Affects: openshot
> Importance: Undecided
> Status: New
>
> --
> You received this bug notification because you are a member of OpenShot
> Bugs, which is subscribed to OpenShot Video Editor.
> https://bugs.launchpad.net/bugs/1246976
>
> Title:
> OpenShot crashing when saving project, then using the timeline or
> controls to set playback position
>
> Status in OpenShot Video Editor:
> New
>
> Bug description:
> CPU: AMD 64bit 8 core cpu
> OS: Ubuntu Linux (64bit) Raring ringtail upgraded online from 12.04LTS;
> 12.04LTS installed from ISO.
>
> Installed OpenShot from "Ubuntu Software Center"
> version 1.4.4~alpha1
>
> Melt: 0.8.8
> FFMPEG: 0.8.6-6:0.8.6-1ubuntu2 insstalled using "Ubuntu Software Center"
>
> -----
>
> What's odd is I think this is both an OS level and higher library
> bug(s). Occassionally the entire OS will hang with the mouse cursor will
> still work, but the graphics seem to be f...

Read more...

Michael Hurt (midnight-star) wrote :
Download full text (3.5 KiB)

To be honest, I'm sure which version the individual libraries were. The initial problem I was having (the reason I upgraded my computers here), wasn't related to OpenShot specifically - it consisted of the HDMI audio port wasn't recognized/working. On the same 64bit system (the one in this bug report), I believe the HDMI problem was around Ubuntu 11.10 or 12.04LTS. I upgraded to 12.10, then upto 13.04. The upgrade was more of a "release" level upgrade rather than individual libraries like MLT (by itself). The upgrade seemed to solve the HDMI problem (HDMI wasn't recognized as an audio port on the RADEON card but is now), but somehow opened up other problems. I'm not sure, overall, if it's completely related - here's a few things I noticed:

1) StopMotion crashed when camera was activated (also a segmentation fault) but worked prior to upgrading. Following a bug report, the parameters passed to the underlying "capture" program from StopMotion, had somehow gotten nulled out. Adding the missing parameters manually back in seemed fixed it. So I ruled this one out as being a build problem with either the software or Ubuntu release.

2) The audio record quality on the 64bit system is terrible and bugged - makes getting a clean recording almost impossible (the same Ubuntu release 13.10 has no such problems on a 32bit single core system). Not sure if the problem is 32bit chips and 64bit libraries. For my audio recording I had to revert back to a much slower 1.8ghz cpu and 32bit system. Strange notes there include not being able to get a high enough recording volume (64bit system) using Audacity (it barely shows any sound level being recorded even when pre-amping it up full). When the audio is recorded, it's well under the clipping range, but during playback sounds like it's been recorded with the input gain too high (clipping sounds like a light static or suble pops). When the same audio clip is loaded into OpenShot, exported to a video, then the video reloaded back into Audacity to extract the audio, the audio is showing as being clipped instead of being at the same exported volume. It's like the audio volume has just been doubled. It's almost like a data problem where two different programs are "seeing" the same thing in the audio differently, or one isn't using all the available data values the same as the other.

3) Running OpenShot from the command line displays "Seg fault" when it crashes - after saving then trying to change the playback position of the current project. (this bug report).

However, in both the 64bit and 32bit systems if the current application (noticed with Audacity and OpenShot) isn't allowed to complete it's current function before starting a new one (for example, like clicking "stop" while recording and not giving it time that to complete (whether buffering or allocating memory/staging to swap), then clicking "back to start", Audacity will hang. The same with OpenShot. This made me think it was something with the underlying libraries of both. With OpenShot, if I was playing back the current project, clicked "stop" then immediately clicked "back to start", OpenShot would hang - if I didn't wait until "stop" had completed. Tha...

Read more...

Download full text (7.2 KiB)

No worries. It is why I'm using Manjaro (an arch derivated) because I have
arrived at the same conclusion. For sample, watching the same video on
SMplayer on the both system and you notice a different result, perfect on
Manjaro.

You should use/try FFmpeg and not his fork (like now). It will be removed
OS and all software using it but after you could reinstall them easily.
Take a look at this thread :
http://openshotusers.com/forum/viewtopic.php?f=12&t=1261

2013/11/2 Michael Hurt <email address hidden>

> *** This bug is a duplicate of bug 1176463 ***
> https://bugs.launchpad.net/bugs/1176463
>
> To be honest, I'm sure which version the individual libraries were. The
> initial problem I was having (the reason I upgraded my computers here),
> wasn't related to OpenShot specifically - it consisted of the HDMI audio
> port wasn't recognized/working. On the same 64bit system (the one in
> this bug report), I believe the HDMI problem was around Ubuntu 11.10 or
> 12.04LTS. I upgraded to 12.10, then upto 13.04. The upgrade was more of
> a "release" level upgrade rather than individual libraries like MLT (by
> itself). The upgrade seemed to solve the HDMI problem (HDMI wasn't
> recognized as an audio port on the RADEON card but is now), but somehow
> opened up other problems. I'm not sure, overall, if it's completely
> related - here's a few things I noticed:
>
> 1) StopMotion crashed when camera was activated (also a segmentation
> fault) but worked prior to upgrading. Following a bug report, the
> parameters passed to the underlying "capture" program from StopMotion,
> had somehow gotten nulled out. Adding the missing parameters manually
> back in seemed fixed it. So I ruled this one out as being a build
> problem with either the software or Ubuntu release.
>
> 2) The audio record quality on the 64bit system is terrible and bugged -
> makes getting a clean recording almost impossible (the same Ubuntu
> release 13.10 has no such problems on a 32bit single core system). Not
> sure if the problem is 32bit chips and 64bit libraries. For my audio
> recording I had to revert back to a much slower 1.8ghz cpu and 32bit
> system. Strange notes there include not being able to get a high enough
> recording volume (64bit system) using Audacity (it barely shows any
> sound level being recorded even when pre-amping it up full). When the
> audio is recorded, it's well under the clipping range, but during
> playback sounds like it's been recorded with the input gain too high
> (clipping sounds like a light static or suble pops). When the same audio
> clip is loaded into OpenShot, exported to a video, then the video
> reloaded back into Audacity to extract the audio, the audio is showing
> as being clipped instead of being at the same exported volume. It's like
> the audio volume has just been doubled. It's almost like a data problem
> where two different programs are "seeing" the same thing in the audio
> differently, or one isn't using all the available data values the same
> as the other.
>
> 3) Running OpenShot from the command line displays "Seg fault" when it
> crashes - after saving then trying to change the playback position of
> the current pr...

Read more...

dbclinton (dbclin) wrote :

I'm getting this crashing bug repeatedly using 1.4.3 on Ubuntu 14.04 Gnome and I'm afraid I don't see the connection to bug #1176463.
Once a project becomes even slightly complicated (multiple and razored clips), OpenShot is likely to crash following a save and repositioning along the timeline. Sometimes it will completely crash, other times it will freeze but respond to killall openshot and other times it will zombie.
Here's what I see when I launch testme.osp from terminal:

=========================================================================
$ openshot testme.osp

------------------------- ERROR 1 ------------------------------
Failed to import 'from openshot import main'
Error Message: cannot import name main
----------------------------------------------------------------
--------------------------------
   OpenShot (version 1.4.3)
--------------------------------
Process no longer exists: 17317. Creating new pid lock file.
Adding files to the watch queue:

Detecting formats, codecs, and filters...
=========================================================================
[output from a crash - I didn't actually move any clips this time: I just saved the project twice:]

project saved! - testme
on_frmMain_key_press_event
[mp3 @ 0x301d760] max_analyze_duration 5000000 reached at 5015510 microseconds
[mp3 @ 0x301eac0] max_analyze_duration 5000000 reached at 5015510 microseconds
[mp3 @ 0x9351480] max_analyze_duration 5000000 reached at 5015510 microseconds
[mp3 @ 0x93527e0] max_analyze_duration 5000000 reached at 5015510 microseconds
[mp3 @ 0x9657300] max_analyze_duration 5000000 reached at 5015510 microseconds
[mp3 @ 0x987e720] max_analyze_duration 5000000 reached at 5015510 microseconds
[mp3 @ 0x98b5c60] max_analyze_duration 5000000 reached at 5015510 microseconds
[mp3 @ 0x98b8ca0] max_analyze_duration 5000000 reached at 5015510 microseconds
[mp3 @ 0x98d2ac0] max_analyze_duration 5000000 reached at 5015510 microseconds
[mp3 @ 0x990a9a0] max_analyze_duration 5000000 reached at 5015510 microseconds
Segmentation fault (core dumped)

=========================================================================
[And here's what /var/log/syslog is reporting:]

Dec 9 18:37:00 WD-System kernel: [37407.330461] openshot[18445]: segfault at 30 ip 00007effec0d8cd7 sp 00007effbd604e10 error 4 in libavformat.so.54.63.104[7effebfe8000+149000]
=========================================================================

Doesn't anyone else encounter this? What makes me so special... :)

Thanks,

Olivier Girard (eolinwen) wrote :
Download full text (3.3 KiB)

Try to update your mlt version and your ffmpeg version using this FaQ's

https://answers.launchpad.net/openshot/+faq/1861
https://answers.launchpad.net/openshot/+faq/1040

2014-12-12 16:24 GMT+01:00 dbclinton <email address hidden>:
>
> ** This bug is no longer a duplicate of bug 1176463
> Project is not saved
>
> --
> You received this bug notification because you are a member of OpenShot
> Bugs, which is subscribed to OpenShot Video Editor.
> https://bugs.launchpad.net/bugs/1246976
>
> Title:
> OpenShot crashing when saving project, then using the timeline or
> controls to set playback position
>
> Status in OpenShot Video Editor:
> New
>
> Bug description:
> CPU: AMD 64bit 8 core cpu
> OS: Ubuntu Linux (64bit) Raring ringtail upgraded online from 12.04LTS;
> 12.04LTS installed from ISO.
>
> Installed OpenShot from "Ubuntu Software Center"
> version 1.4.4~alpha1
>
> Melt: 0.8.8
> FFMPEG: 0.8.6-6:0.8.6-1ubuntu2 insstalled using "Ubuntu Software Center"
>
> -----
>
> What's odd is I think this is both an OS level and higher library
> bug(s). Occassionally the entire OS will hang with the mouse cursor will
> still work, but the graphics seem to be frozen. Getting loads of
> segmentation faults from OpenShot when...
> Saving the project, then going to the timeline or video controls to set
> the current playback position, or advance back to the beginning - pretty
> much any change in the videos position = instant crash. If I reload the
> same project after saving it, without changing the current playback
> position, I have no such problem until I save and immediately try to change
> the timelines position (seems to be something with that entire process).
> Oddly enough, I could postone the "crash" by saving, adding a new track,
> then setting the playback position where-ever I wanted. Worked for awhile,
> but then crashed after every save again.
>
> On the OS side, i've noticed on a slower single core system (1.8
> processor), if I click an control or option anywhere in OpenShot (or
> anything for that matter, ie.,. audacity) and don't allow the previous
> function to complete... the applications hang. It's like a messaging
> sync problem with the underlying libraries (doesn't wait for the
> current function to conplete before attempting the next one).
>
> Also, the first video I made with OpenShot a month ago, didn't exibit
> these problems. It seems to have started within the past 3 weeks
> (perhaps during the upgrade, or with an underlying library not quite
> in sync with the layers above).
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/openshot/+bug/1246976/+subscriptions
>
> --
> Mailing list: https://launchpad.net/~openshot.bugs
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~openshot.bugs
> More help : https://help.launchpad.net/ListHelp
>

--
Olivier
Cenwen un elfe sur la banquise/ an elve on the ice
Mon blog perso sur le multimédia, Ubuntu, Linux et OpenShot :
http://linuxevolution.wordpress.com/
Le forum d'Openshot où vous me trouverez : http://openshotusers.com/
http://openshotusers.com/forum/index.php
Not...

Read more...

dbclinton (dbclin) wrote :

Thanks @ Olivier!
The
    https://answers.launchpad.net/openshot/+faq/1861
faq seems to be a bit dated, libmlt5 and python-mlt5 are no longer available from the repo, but libmlt6 and python-mlt6 are - although using
    sudo apt-get upgrade libmlt6, libmlt-data libmlt++3 python-mlt6 melt
returns:
    E: Unable to locate package libmlt6,
In any case, using Synaptic, I installed libavformat-extra-54, libmlt6, and python-mlt6, and upgraded libmlt++3, melt, and libmlt-data, and restarted openshot, but the crashing persists.
Any clues?
Thanks,

dbclinton (dbclin) wrote :

Update to yesterday's post: while OpenShot is still crashing when editing old projects, after a system reboot, it so far seems much more stable for new projects. I'll let you know if this turns out not to be consistent.
Thanks!

dbclinton (dbclin) wrote :

I'm afraid I've got a new update: my fully upgraded OpenShot is once again crashing exactly as before. Any ideas?
Thanks,

Olivier Girard (eolinwen) wrote :

If you are using old projects and they are crashing (and not with new projects) I'm afraid that they are corrupted. And they are nothing to do unfortunately.

Could you provide me a screenshot (witha tool like shutter for sample) of a search in synaptic with the term melt for sample.
I would like to be sure that you have the last version of mlt and none residue of a previous version of mlt.

dbclinton (dbclin) wrote :

> If you are using old projects and they are crashing (and not with new projects) I'm afraid that they are corrupted.

It was a completely new project that was crashing this time.
I've attached a screenshot of "melt" in Synaptic.
Thanks!

Olivier Girard (eolinwen) wrote :
Download full text (3.7 KiB)

Oups, I've done a typing error. It was mlt and not melt. Sorry. Could you
do another one screenshot, please ? Thanks.

Another thing. Could you run OS in a console and do what you are doing and
copy/paste the output ?

2014-12-21 0:50 GMT+01:00 dbclinton <email address hidden>:

> > If you are using old projects and they are crashing (and not with new
> projects) I'm afraid that they are corrupted.
>
> It was a completely new project that was crashing this time.
> I've attached a screenshot of "melt" in Synaptic.
> Thanks!
>
> ** Attachment added: "Synaptic - melt"
>
> https://bugs.launchpad.net/openshot/+bug/1246976/+attachment/4284923/+files/synaptic.png
>
> --
> You received this bug notification because you are a member of OpenShot
> Bugs, which is subscribed to OpenShot Video Editor.
> https://bugs.launchpad.net/bugs/1246976
>
> Title:
> OpenShot crashing when saving project, then using the timeline or
> controls to set playback position
>
> Status in OpenShot Video Editor:
> New
>
> Bug description:
> CPU: AMD 64bit 8 core cpu
> OS: Ubuntu Linux (64bit) Raring ringtail upgraded online from 12.04LTS;
> 12.04LTS installed from ISO.
>
> Installed OpenShot from "Ubuntu Software Center"
> version 1.4.4~alpha1
>
> Melt: 0.8.8
> FFMPEG: 0.8.6-6:0.8.6-1ubuntu2 insstalled using "Ubuntu Software Center"
>
> -----
>
> What's odd is I think this is both an OS level and higher library
> bug(s). Occassionally the entire OS will hang with the mouse cursor will
> still work, but the graphics seem to be frozen. Getting loads of
> segmentation faults from OpenShot when...
> Saving the project, then going to the timeline or video controls to set
> the current playback position, or advance back to the beginning - pretty
> much any change in the videos position = instant crash. If I reload the
> same project after saving it, without changing the current playback
> position, I have no such problem until I save and immediately try to change
> the timelines position (seems to be something with that entire process).
> Oddly enough, I could postone the "crash" by saving, adding a new track,
> then setting the playback position where-ever I wanted. Worked for awhile,
> but then crashed after every save again.
>
> On the OS side, i've noticed on a slower single core system (1.8
> processor), if I click an control or option anywhere in OpenShot (or
> anything for that matter, ie.,. audacity) and don't allow the previous
> function to complete... the applications hang. It's like a messaging
> sync problem with the underlying libraries (doesn't wait for the
> current function to conplete before attempting the next one).
>
> Also, the first video I made with OpenShot a month ago, didn't exibit
> these problems. It seems to have started within the past 3 weeks
> (perhaps during the upgrade, or with an underlying library not quite
> in sync with the layers above).
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/openshot/+bug/1246976/+subscriptions
>
> --
> Mailing list: https://launchpad.net/~openshot.bugs
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.n...

Read more...

dbclinton (dbclin) wrote :
Download full text (8.2 KiB)

I've attached my Synaptic output for mlt.
Here's my console outup for a short session involving two or three edits (splitting and moving objects), saving the project, clicking on a different location on the timeline, and a crash.
Thanks!
===============================================
$ openshot test.osp

------------------------- ERROR 1 ------------------------------
Failed to import 'from openshot import main'
Error Message: cannot import name main
----------------------------------------------------------------
--------------------------------
   OpenShot (version 1.4.3)
--------------------------------
Process no longer exists: 15693. Creating new pid lock file.
Adding files to the watch queue:

Detecting formats, codecs, and filters...
---
video_codecs:
  - a64multi
  - a64multi5
  - amv
  - asv1
  - asv2
  - avrp
  - avui
  - ayuv
  - bmp
  - cljr
  - dnxhd
  - dpx
  - dvvideo
  - ffv1
  - ffvhuff
  - flashsv
  - flashsv2
  - flv
  - gif
  - h261
  - h263
  - h263p
  - huffyuv
  - j2k
  - jpegls
  - ljpeg
  - mjpeg
  - mpeg1video
  - mpeg2video
  - mpeg4
  - msmpeg4v2
  - msmpeg4
  - msvideo1
  - pam
  - pbm
  - pcx
  - pgm
  - pgmyuv
  - png
  - ppm
  - prores
  - prores_anatoliy
  - prores_kostya
  - qtrle
  - r10k
  - r210
  - rawvideo
  - roqvideo
  - rv10
  - rv20
  - sgi
  - snow
  - sunrast
  - svq1
  - targa
  - tiff
  - utvideo
  - v210
  - v308
  - v408
  - v410
  - wmv1
  - wmv2
  - xbm
  - xface
  - xwd
  - y41p
  - yuv4
  - zlib
  - zmbv
  - libopenjpeg
  - libschroedinger
  - libtheora
  - libvpx
  - libvpx-vp9
  - libx264
  - libx264rgb
...
---
audio_codecs:
  - comfortnoise
  - aac
  - ac3
  - ac3_fixed
  - alac
  - dca
  - eac3
  - flac
  - g723_1
  - mp2
  - nellymoser
  - real_144
  - sonic
  - sonicls
  - vorbis
  - wmav1
  - wmav2
  - pcm_alaw
  - pcm_f32be
  - pcm_f32le
  - pcm_f64be
  - pcm_f64le
  - pcm_mulaw
  - pcm_s8
  - pcm_s8_planar
  - pcm_s16be
  - pcm_s16be_planar
  - pcm_s16le
  - pcm_s16le_planar
  - pcm_s24be
  - pcm_s24daud
  - pcm_s24le
  - pcm_s24le_planar
  - pcm_s32be
  - pcm_s32le
  - pcm_s32le_planar
  - pcm_u8
  - pcm_u16be
  - pcm_u16le
  - pcm_u24be
  - pcm_u24le
  - pcm_u32be
  - pcm_u32le
  - roq_dpcm
  - adpcm_adx
  - g722
  - g726
  - adpcm_ima_qt
  - adpcm_ima_wav
  - adpcm_ms
  - adpcm_swf
  - adpcm_yamaha
  - libgsm
  - libgsm_ms
  - libmp3lame
  - libopus
  - libspeex
  - libvorbis
...
---
formats:
  - a64
  - ac3
  - adts
  - adx
  - aiff
  - amr
  - asf
  - ass
  - ast
  - asf_stream
  - au
  - avi
  - avm2
  - bit
  - caf
  - cavsvideo
  - crc
  - daud
  - dirac
  - dnxhd
  - dts
  - dv
  - eac3
  - f4v
  - ffm
  - ffmetadata
  - filmstrip
  - flac
  - flv
  - framecrc
  - framemd5
  - g722
  - g723_1
  - gif
  - gxf
  - h261
  - h263
  - h264
  - hls
  - ico
  - ilbc
  - image2
  - image2pipe
  - ipod
  - ircam
  - ismv
  - ivf
  - jacosub
  - latm
  - m4v
  - md5
  - matroska
  - matroska
  - microdvd
  - mjpeg
  - mlp
  - mmf
  - mov
  - mp2
  - mp3
  - mp4
  - mpeg
  - vcd
  - mpeg1video
  - dvd
  - svcd
  - mpeg2video
  - vob
  - mpegts
  - mpjpeg
  - mxf
  - mxf_d10
  - null
  - nut
  - ogg
  - oma
  - alaw
  - mulaw
  - f64be
  - f64le
  - f32be
  - f32le
  - s32be
  - s3...

Read more...

dbclinton (dbclin) wrote :

By the way, this test.osp file I just used is a project that was created since my package upgrades of a couple of days ago.

Olivier Girard (eolinwen) wrote :

Hum I don't understand why for you the update of mlt has done nothing.
Did you use the ppa of swen (https://answers.launchpad.net/openshot/+faq/1040) for ffmpeg or are you using his fork libav/avconv ,

Olivier Girard (eolinwen) wrote :
Download full text (3.3 KiB)

HUm I'm septic. Normaly, this issue should be resolved.

We are going to try another last thing.
Could you send me a screenshot of Synaptic using the term in the search
libav ?

2014-12-23 15:33 GMT+01:00 dbclinton <email address hidden>:

> I'm using:
> http://ppa.launchpad.net/jon-severinsson/ffmpeg/ubuntu
>
> --
> You received this bug notification because you are a member of OpenShot
> Bugs, which is subscribed to OpenShot Video Editor.
> https://bugs.launchpad.net/bugs/1246976
>
> Title:
> OpenShot crashing when saving project, then using the timeline or
> controls to set playback position
>
> Status in OpenShot Video Editor:
> New
>
> Bug description:
> CPU: AMD 64bit 8 core cpu
> OS: Ubuntu Linux (64bit) Raring ringtail upgraded online from 12.04LTS;
> 12.04LTS installed from ISO.
>
> Installed OpenShot from "Ubuntu Software Center"
> version 1.4.4~alpha1
>
> Melt: 0.8.8
> FFMPEG: 0.8.6-6:0.8.6-1ubuntu2 insstalled using "Ubuntu Software Center"
>
> -----
>
> What's odd is I think this is both an OS level and higher library
> bug(s). Occassionally the entire OS will hang with the mouse cursor will
> still work, but the graphics seem to be frozen. Getting loads of
> segmentation faults from OpenShot when...
> Saving the project, then going to the timeline or video controls to set
> the current playback position, or advance back to the beginning - pretty
> much any change in the videos position = instant crash. If I reload the
> same project after saving it, without changing the current playback
> position, I have no such problem until I save and immediately try to change
> the timelines position (seems to be something with that entire process).
> Oddly enough, I could postone the "crash" by saving, adding a new track,
> then setting the playback position where-ever I wanted. Worked for awhile,
> but then crashed after every save again.
>
> On the OS side, i've noticed on a slower single core system (1.8
> processor), if I click an control or option anywhere in OpenShot (or
> anything for that matter, ie.,. audacity) and don't allow the previous
> function to complete... the applications hang. It's like a messaging
> sync problem with the underlying libraries (doesn't wait for the
> current function to conplete before attempting the next one).
>
> Also, the first video I made with OpenShot a month ago, didn't exibit
> these problems. It seems to have started within the past 3 weeks
> (perhaps during the upgrade, or with an underlying library not quite
> in sync with the layers above).
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/openshot/+bug/1246976/+subscriptions
>
> --
> Mailing list: https://launchpad.net/~openshot.bugs
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~openshot.bugs
> More help : https://help.launchpad.net/ListHelp
>

--
Olivier
Cenwen un elfe sur la banquise/ an elve on the ice
Mon blog perso sur le multimédia, Ubuntu, Linux et OpenShot :
http://linuxevolution.wordpress.com/
Le forum d'Openshot où vous me trouverez : http://openshotusers.com/
http://openshotusers.com/forum/index.php
No...

Read more...

dbclinton (dbclin) wrote :

I've attached the screen shot of Synaptic and Libav
Thanks!

dbclinton (dbclin) wrote :

I could completely remove OpenShot, FFMPEG etc., and reinstall to see if that helps. Which packages should I remove?

dbclinton (dbclin) wrote :

I've successfully (or perhaps "unsuccessfully" is more accurate) reproduced the bug on a completely separate PC (a laptop) that's also running Gnome Fallback on Ubuntu 14.04 64bit. OpenShot crashed with a Segmentation fault (core dumped) both before and after I added the jon-severensson ffmpeg repo and upgraded my packages.
Just to be complete, here's what I did: I opened a new OpenShot project and imported clean mp4, mp3, and jpg files, placed them on the timeline and played around with them (cutting them up and moving them around on the timeline( for less than five minutes before OS crashed.

Olivier Girard (eolinwen) wrote :

I confirm the situation following your indications (i.e files...) at least one time. OS has crashed playing the preview after cutting the sound. But I've not been able to reproduce it the second time. :-(

Changed in openshot:
status: New → Confirmed
milestone: none → 1.5.0
dbclinton (dbclin) wrote :

Hi. I've been able to narrow down the exact conditions that trigger the crash:
Until you have used the razor tool to make splits in at least two different clips (whether video or audio), you won't have trouble. I've just been working with a project in which I made more than a dozen cuts to a single source file (an MP4) with no trouble at all, but once I made my second cut to the accompanying MP3, the crashes began.
Hope this helps.

Harvey Houston (ubuntu-who) wrote :

Hello fellow Ubuntu users. I've been having the same problem for MONTHS, which is why I've been avoiding doing video editing. I love OpenShot's many features, much better than Kdenlive, Windows Movie Maker, or anything else. However, when modifying clips and using seek, it will randomly hang or crash (more often it will crash). It is not from autosaving, because I have turned this off and it still happens. I use various clips from audio, video, and pictures in my work, but just editing with media of the same format causes this, too. Everything is up to date, as far as I can tell. I am very frustrated!
 I have used both versions 1.4.3 and 1.4.4~alpha in Ubuntu 14.04 on my 64-bit system, with little success. Any solutions would be welcome, since I am not yet ready to upgrade my Ubuntu version.

Harvey Houston (ubuntu-who) wrote :

 Under 1.4.4~alpha, I opened an old project using just JPEG images and an MP3 track, and this is the terminal's output:

[mp3 @ 0x41bc8e0] max_analyze_duration 5000000 reached at 5015510 microseconds
[mp3 @ 0x41bc8e0] Estimating duration from bitrate, this may be inaccurate
[mp3 @ 0x4229700] max_analyze_duration 5000000 reached at 5015510 microseconds
[mp3 @ 0x4229700] Estimating duration from bitrate, this may be inaccurate
[mp3 @ 0x4303680] max_analyze_duration 5000000 reached at 5015510 microseconds
[mp3 @ 0x4303680] Estimating duration from bitrate, this may be inaccurate
[image2 @ 0x430cea0] Could find no file with with path '/path/to/image.jpg' and index in the range 0-4
[image2 @ 0x430cea0] Could find no file with with path '/path/to/image.jpg' and index in the range 0-4
[producer_xml] failed to load producer "/path/to/image.jpg"
[image2 @ 0x43b00c0] Could find no file with with path '/path/to/image.jpg' and index in the range 0-4
[image2 @ 0x43b00c0] Could find no file with with path '/path/to/image.jpg' and index in the range 0-4
[producer_xml] failed to load producer "/path/to/image.jpg"
*** Error in `/usr/bin/python': malloc(): memory corruption: 0x00007f7445edf9a0 ***
Aborted (core dumped)

 This doesn't make sense. OpenShot needs to be able to properly adjust, even if it means modifying saved work. The fact that it crashes without resolving the problem shows a very serious bug, and plenty of complaints from users like myself.

dbclinton (dbclin) wrote :

That looks like it may be a different problem. Is it possible that your source files (JPGs and MP3) have been moved from their locations at the time you originally created the file?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers